#!/usr/bin/env python
#
# __init__.py - Functions for working with linear and non-linear FSL
#               transformations.
#
# Author: Paul McCarthy <pauldmccarthy@gmail.com>
#
"""This module contains functions for working with linear and non-linear FSL
transformations. Functionality is split across the following modules:

.. autosummary::
   :nosignatures:

   ~fsl.transform.affine
   ~fsl.transform.flirt
   ~fsl.transform.fnirt
   ~fsl.transform.nonlinear
   ~fsl.transform.x5
"""
